package org.forks.jsonrpc;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

public final class DFDataTable {
    private Map<String, RpcPropertyMeta> mColumns;
    private List<RpcObject> mRows;
    private RpcObject mSumRow;

    DFDataTable() {
        this(new HashMap<String, RpcPropertyMeta>(),
                new ArrayList<RpcObject>(), null);
    }

    DFDataTable(Map<String, RpcPropertyMeta> columns, List<RpcObject> rows,
            RpcObject sumRow) {
        super();
        mColumns = columns;
        mRows = rows;
        mSumRow = sumRow;
    }

    public Map<String, RpcPropertyMeta> getColumns() {
        return mColumns;
    }

    public List<RpcObject> getRows() {
        return mRows;
    }

    public RpcObject getSumRow() {
        return mSumRow;
    }

}
